gr::ieee802_15_4::dqpsk_soft_demapper_cc_impl Class Reference

`#include <dqpsk_soft_demapper_cc_impl.h>`

Inheritance diagram for gr::ieee802_15_4::dqpsk_soft_demapper_cc_impl:
[legend]

## Public Member Functions

| dqpsk_soft_demapper_cc_impl (int framelen)
| ~dqpsk_soft_demapper_cc_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::ieee802_15_4::dqpsk_soft_demapper_cc
typedef boost::shared_ptr< dqpsk_soft_demapper_cc > | sptr
Static Public Member Functions inherited from gr::ieee802_15_4::dqpsk_soft_demapper_cc
static sptr | make (int framelen)
| Return a shared_ptr to a new instance of ieee802_15_4::dqpsk_soft_demapper_cc. More...

## Constructor & Destructor Documentation

## dqpsk_soft_demapper_cc_impl()

gr::ieee802_15_4::dqpsk_soft_demapper_cc_impl::dqpsk_soft_demapper_cc_impl | ( | int | framelen | ) |

## ~dqpsk_soft_demapper_cc_impl()

gr::ieee802_15_4::dqpsk_soft_demapper_cc_impl::~dqpsk_soft_demapper_cc_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::ieee802_15_4::dqpsk_soft_demapper_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- dqpsk_soft_demapper_cc_impl.h